<template>
    <div id="MovementListPage">
        <div v-for="movement in movements" :key="movement.id">
            <MovementListPage
                :movements="movements"
                @see-more-details="SeeMoreDetails"
                class="tabla-de-movimientos-in-home"
            />
        </div>
    </div>
</template>

<script>
import api from '@/api.js'
import MovementListPage from '@/components/Movements/MovementList.vue'
export default {
    name: 'MovementListPage',
    components: {
        MovementListPage,
    },
    data() {
        return {
            movements: [],
        }
    },
    async mounted() {
        this.movements = await api.displayMovements()
    },
    methods: {
        async SeeMoreDetails(movements) {
            await api.SeeMoreDetails(movements)
        },
    },
}
</script>

<style scoped>
.tabla-de-movimientos-in-home {
    margin-top: 500px;
}
.tabla {
    margin: 0 auto;
}
</style>
